//
// "$Id: workspace_panel.h 9650 2012-08-02 19:47:06Z matt $"
//
// Workspace Panels for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2011 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems to "fltk-bugs@fltk.org".
//

// generated by Fast Light User Interface Designer (fluid) version 3.0000

#ifndef workspace_panel_h
#define workspace_panel_h
#include <fltk3/run.h>
#include "WorkspaceType.h"
#include "panel.h"
#include <fltk3/Pixmap.h>
#include <fltk3/MultiLabel.h>
extern fltk3::Pixmap menu_none_pixmap;
extern fltk3::Pixmap menu_multi_pixmap;
extern fltk3::Pixmap menu_all_pixmap;
#include <fltk3/Group.h>
#include <fltk3/MenuButton.h>
extern void cb_pMenuAll(fltk3::Menu_*, void*);

class Fl_Environment_Choice : public fltk3::Group {
public:
  Fl_Environment_Choice(int X, int Y, int W, int H, const char *L = 0);
protected:
  unsigned int pEnv; 
public:
  fltk3::MenuButton *pEnvMenu;
  static fltk3::MenuItem menu_pEnvMenu[];
  static fltk3::MenuItem *pMenuAll;
private:
  inline void cb_pMenuAll_i(fltk3::Menu_*, void*);
  static void cb_pMenuAll(fltk3::Menu_*, void*);
protected:
  void update_all();
public:
  void value(unsigned int v);
  unsigned int value();
};
void workspace_panel_set_cb(fltk3::Widget*, void *v);
#include <fltk3/ScrollGroup.h>
extern fltk3::ScrollGroup *pScrollGroup;
#include <fltk3/PackedGroup.h>
#include <fltk3/Input.h>
extern fltk3::Group *pFileNameGroup;
extern fltk3::Input *pFileName;
#include <fltk3/Button.h>
#include <fltk3/Choice.h>
extern fltk3::Group *wSpacer;
extern fltk3::Group *pCloseGroup;
#include <fltk3/Widget.h>
Fl_Panel* make_workspace_panel();
extern fltk3::MenuItem menu_Unknown[];
extern fltk3::MenuItem menu_Relative[];
extern fltk3::MenuItem menu_Option[];
#endif

//
// End of "$Id: workspace_panel.h 9650 2012-08-02 19:47:06Z matt $".
//
